%define name audacious-plugins
%define svn 0
%define pre 0
%if %pre
%define release		%mkrel 0.%pre.1
%define fname %name-%version-%pre
%else
%define fname %name-%version
%define release %mkrel 1
%endif
%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif

Summary:	Audacious Media Player core plugins
Name:		%name
Version:	1.2.5
Release:	%release
Epoch:		3
Source0:	http://audacious-media-player.org/release/%fname.tar.bz2
Patch3: audacious-862-timidity-config.patch
License:	GPL
Group:		Sound
Url:		http://audacious-media-player.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libaudacious-devel >= %{epoch}:1.1.99
BuildRequires:	alsa-lib-devel >= 1.0.0
BuildRequires:	oggvorbis-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	libflac-devel >= 1.1.2
#gw crossfade
BuildRequires:	libsamplerate-devel
BuildRequires:	libmodplug-devel
BuildRequires:  liblirc-devel
BuildRequires:	gtk2-devel >= 2.6.0
BuildRequires: libmesaglut-devel
BuildRequires:  SDL-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libjack-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  taglib-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:  libcurl-devel
BuildRequires:  libbinio-devel
BuildRequires:  libfluidsynth-devel
BuildRequires:  libwavpack-devel
Provides:	beep-media-player-libvisual beep-media-player-lirc audacious-modplug beep-media-player-scrobbler audacious-scrobbler
Obsoletes:	beep-media-player-libvisual beep-media-player-lirc audacious-modplug beep-media-player-scrobbler audacious-scrobbler

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This contains the basic plugin distribution. Audacious is useless
without them.

%if %build_plf
This package is in PLF as it violates some patents.
%endif

%package -n audacious-esd
Summary:	ESound output backend
Group:		Sound
BuildRequires:	esound-devel
Requires:	audacious
Requires:	esound >= 0.2.14
Provides: beep-media-player-esd
Obsoletes: beep-media-player-esd
Epoch: %epoch

%description  -n audacious-esd
Output plugin for Audacious media player for use with the esound package

%package  -n audacious-musepack
Group: Sound
Summary:  Musepack input plugin for Audacious
Requires: audacious
Epoch: %epoch

%description  -n audacious-musepack
This is a Musepack input plugin for Audacious based on libmpcdec.


%package  -n audacious-wavpack
Group: Sound
Summary:  Wavpack input plugin for Audacious
Requires: audacious
Epoch: %epoch

%description  -n audacious-wavpack
This is a wavpack input plugin for Audacious based on libwavpack.

%package  -n audacious-jack
Group: Sound
Summary:Audacious output plugin for the jack sound server
Epoch: %epoch
Requires: audacious

%description  -n audacious-jack
Audacious audio output plugin for the jack audio
server(http://jackit.sourceforge.net).


%package  -n audacious-pulse
Group: Sound
Summary:Audacious output plugin for the Pulseaudio sound server
Epoch: %epoch
Requires: audacious
BuildRequires: libpulseaudio-devel

%description  -n audacious-pulse
Audacious audio output plugin for the pulseaudio
server.

%package  -n audacious-adplug
Summary: AdLib player plugin for audacious
Group: Sound
Requires: audacious
Epoch: %epoch

%description  -n audacious-adplug
AdPlug is an Audacious input plugin It uses the AdPlug AdLib sound
player library to play back a wide range of AdLib (OPL2) music file
formats on top of an OPL2 emulator.  No OPL2 chip is required for
playback.


%package  -n audacious-fluidsynth
Summary: Fluidsynth MIDI plugin for audacious
Group: Sound
Requires: audacious
Epoch: %epoch

%description  -n audacious-fluidsynth
FluidSynth is a real-time software synthesizer based on the SoundFont 2
specifications. It is a "software synthesizer". FluidSynth can read MIDI
events from the MIDI input device and render them to the audio device.

This is a fluidsynth backend for the Audacious Media Player to support the
playback of MIDI files with the fluidsynth engine.

%package  -n audacious-extra-plugins
Summary: Additional input plugins for Audacious
Group: Sound
Requires: audacious
Provides:beep-media-player-mp4
Obsoletes:beep-media-player-mp4
Epoch: %epoch

%description  -n audacious-extra-plugins
This contains additional input plugins for Audacious to support the MP4/AAC
and WMA audio formats.

This package is in PLF as it violates some patents.

%package  -n audacious-sid
Group: Sound
Summary: Audacious input plugin for C64 SID files
BuildRequires: sidplay-devel
BuildRequires: sidplay2-devel
Provides: beep-media-player-sid
Obsoletes: beep-media-player-sid
Epoch: %epoch
Requires: audacious

%description  -n audacious-sid
Audacious-SID is a plugin for the Audacious Media Player which provides
support for playing the so-called "SID tunes", which are music
from old Commodore computer programs like games, demos, etc.

For the actual playing, it uses the excellent libsidplay (1|2)
emulator engine that emulates 6510 CPU and 6581/8580 Sound Interface
Device (SID) chip.

%package  -n audacious-timidity
Group: Sound
Summary: MIDI support for Audacious
Requires: audacious
Epoch: %epoch
#gw for the instruments
Requires: TiMidity++

%description  -n audacious-timidity
This adds MIDI support to Audacious.

%package  -n audacious-arts
Group: Sound
Summary: Arts output plugin for Audacious Media Player
Requires: audacious
BuildRequires: libarts-devel
Provides: beep-media-player-arts
Obsoletes: beep-media-player-arts
Epoch: %epoch

%description  -n audacious-arts
This is a Arts output plugin for Audacious Media Player.

%prep
%if %svn
%setup -q -n %name-devel
%else
%setup -q -n %fname
%endif
cd src
%patch3 -p3 -b .timidity
cd ..
%if %svn
sh ./autogen.sh
%endif
autoconf

%build
%configure2_5x --enable-amidiplug --enable-timidity
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -f %buildroot%_includedir/mp4.h
%if !%build_plf
rm -fv %buildroot%_libdir/audacious/Input/libaac.so
rm -fv %buildroot%_libdir/audacious/Input/libwma.so
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%doc AUTHORS NEWS ChangeLog
%dir %_libdir/amidi-plug/
%dir %_libdir/amidi-plug/audacious/
%_libdir/amidi-plug/audacious/ap-alsa.so
%_libdir/amidi-plug/audacious/ap-dummy.so
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Container
%{_libdir}/audacious/Container/libm3u.so
%{_libdir}/audacious/Container/libpls.so
%{_libdir}/audacious/Container/libxspf.so
%dir %{_libdir}/audacious/General
%{_libdir}/audacious/General/libalarm.so
%{_libdir}/audacious/General/liblirc.so
%{_libdir}/audacious/General/libscrobbler.so
%{_libdir}/audacious/General/libsong_change.so
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/libalac.so
%{_libdir}/audacious/Input/libamidi-plug.so
%{_libdir}/audacious/Input/libcdaudio.so
%{_libdir}/audacious/Input/libconsole.so
%{_libdir}/audacious/Input/libcuesheet.so
%{_libdir}/audacious/Input/libflac.so
%{_libdir}/audacious/Input/libmodplug.so
%{_libdir}/audacious/Input/libmpg123.so
%{_libdir}/audacious/Input/libtonegen.so
%{_libdir}/audacious/Input/libvorbis.so
%{_libdir}/audacious/Input/libwav.so
#
%{_libdir}/audacious/Input/libsexypsf.so
#
%dir %{_libdir}/audacious/Effect/
%{_libdir}/audacious/Effect/libaudiocompress.so
%{_libdir}/audacious/Effect/libecho.so
%{_libdir}/audacious/Effect/libladspa.so
%{_libdir}/audacious/Effect/libstereo.so
%{_libdir}/audacious/Effect/libvoice_removal.so
%dir %{_libdir}/audacious/Output
%{_libdir}/audacious/Output/libOSS.so
%{_libdir}/audacious/Output/libALSA.so
%{_libdir}/audacious/Output/libdisk_writer.so
%{_libdir}/audacious/Output/libnull.so
%dir %{_libdir}/audacious/Visualization
%{_libdir}/audacious/Visualization/libbscope.so
%{_libdir}/audacious/Visualization/libparanormal.so
%{_libdir}/audacious/Visualization/libspectrum.so
%_datadir/audacious
%dir %_datadir/%name
%_datadir/%name/paranormal

%files  -n audacious-esd
%defattr(0644,root,root,0755)
%{_libdir}/audacious/Output/libESD.so

%files  -n audacious-musepack
%defattr(0644,root,root,0755)
%{_libdir}/audacious/Input/libmpc.so

%files  -n audacious-wavpack
%defattr(0644,root,root,0755)
%{_libdir}/audacious/Input/libwavpack.so

%files  -n audacious-jack
%defattr(0644,root,root,0755)
%{_libdir}/audacious/Output/libjackout.so

%files  -n audacious-pulse
%defattr(0644,root,root,0755)
%{_libdir}/audacious/Output/libpulse_audio.so

%if %build_plf
%files  -n audacious-extra-plugins
%defattr(0644,root,root,0755)
%_libdir/audacious/Input/libaac.so
%_libdir/audacious/Input/libwma.so
%endif

%files  -n audacious-sid
%defattr(-,root,root)
%{_libdir}/audacious/Input/libsid.so

%files  -n audacious-adplug
%defattr(-,root,root)
%{_libdir}/audacious/Input/libadplug.so

%files  -n audacious-timidity
%defattr(-,root,root)
%{_libdir}/audacious/Input/libtimidity.so

%files  -n audacious-arts
%defattr(-,root,root)
%{_libdir}/audacious/Output/libarts.so
%_bindir/audacious-arts-helper

%files  -n audacious-fluidsynth
%defattr(0644,root,root,0755)
%_libdir/amidi-plug/audacious/ap-fluidsynth.so


%changelog
* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 1.2.5-1mdv2007.0
+ Revision: 86929
- new version
- add wavpack and other new plugins
- remove notify
- rebuild for new libaudacious

* Thu Oct 26 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.2-1mdv2007.1
+ Revision: 73016
- new version
- fix file list
- fix description

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.1-1mdv2007.1
+ Revision: 64487
- new version
- add new files
- unpack patch
- fix buildrequires
- Import audacious-plugins



* Sun Oct  8 2006 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdv2007.1
- initial package

* Fri Aug 25 2006 GÃ¶tz Waschk <waschk@mandriva.org> 3:1.1.2-1mdv2007.0
- New release 1.1.2

* Sun Jul 23 2006 Götz Waschk <waschk@mandriva.org> 1.1.1-1mdv2007.0
- drop rpaths
- drop patch 4
- fix source URL
- New release 1.1.1

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-3mdv2007.0
- move fluidsynth backend to subpackage

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-2mdv2007.0
- move amidi to the right directory

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-1mdv2007.0
- add new files
- drop old provides
- new major
- new version

* Sun Jul 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.0-0.dr2.4mdv2007.0
- fix menu entry

* Mon Jul  3 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.3mdv2007.0
- xdg menu

* Mon Jun 12 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.2mdv2007.0
- fix patch 2

* Mon Jun 12 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.1mdv2007.0
- update patch 2
- new version

* Tue May 23 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr1.2mdk
- fix buildrequires

* Mon May 22 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr1.1mdk
- fix buildrequires
- new version

* Mon Apr 17 2006 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdk
- update file list
- drop patch 0
- New release 1.0.0

* Sun Apr 16 2006 Götz Waschk <waschk@mandriva.org> 0.2.4-1mdk
- patch to fix build
- New release 0.2.4

* Mon Mar 27 2006 Götz Waschk <waschk@mandriva.org> 0.2.3-1mdk
- add arts and voice removal plugins
- rediff patches 2,3
- readd disk writer
- New release 0.2.3

* Mon Mar  6 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-2mdk
- don't obsolete the crossfade plugin anymore

* Mon Mar  6 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- obsolete scrobbler plugin
- drop obsolete plugins
- rediff patch 2
- New release 0.2.2

* Fri Feb  3 2006 Götz Waschk <waschk@mandriva.org> 0.2-2mdk
- add epochs
- bump deps
- 0.2 final

* Fri Jan 27 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.555.2mdk
- enable new ALSA MIDI plugin

* Fri Jan 27 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.555.1mdk
- update patch 2
- new snapshot

* Tue Jan 24 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.518.1mdk
- fix buildrequires
- new snapshot

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.514.1mdk
- new snapshot

* Wed Jan 18 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.492.1mdk
- fix buildrequires
- new snapshot

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.485.1mdk
- fix buildrequires
- new snapshot

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.472.1mdk
- upate file list
- add new plugins
- drop source 1
- new snapshot

* Wed Jan  4 2006 Götz Waschk <waschk@mandriva.org> 0.1.2-5mdk
- add icon fresh from svn

* Wed Dec 28 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-4mdk
- fix buildrequires

* Tue Dec 27 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-3mdk
- drop patch 4

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-2mdk
- obsolete modplug plugin as well

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-1mdk
- fix buildrequires
- provide and obsolete the crossfade and sid plugins
- New release 0.1.2

* Thu Dec  8 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-7mdk
- add flac to the supported mime types
- fix buildrequires

* Fri Dec  2 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-5mdk
- obsolete bmp

* Thu Dec  1 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-4mdk
- buildrequires

* Thu Dec  1 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-3mdk
- fix build on x86_64

* Thu Dec  1 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-2mdk
- initial package

* Wed Nov 30 2005 Götz Waschk <waschk@mandriva.org> 0.9.7.1-2mdk
- add crossfade fix

* Wed Nov 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7.1-1mdk
- new release (at least) (the last one before switching to bmpx)

* Sun Aug 28 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050828cvs1mdk
- New CVS snapshot
- Temporarily drop the ipv6 patch (p3)

* Wed Aug 24 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7.1-0.20050815cvs3mdk
- rebuild with new gtk+
- add buildrequires

* Tue Aug 16 2005 Michael Scherer <misc@mandriva.org> 2:0.9.7.1-0.20050815cvs2mdk
- enhance and rename patch3, now with mp3 support ( with pterjan fix inside )

* Mon Aug 15 2005 Michael Scherer <misc@mandriva.org> 2:0.9.7.1-0.20050815cvs1mdk
- new cvs snapshot ( Eskild Hustvedt )
- ipv6 for vorbis ( patch 3 )

* Wed Aug 10 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050810cvs1mdk
- New CVS snapshot

* Fri Jul 08 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050708cvs1mdk
- New CVS snapshot

* Sun Jun 19 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050619cvs-1mdk
- New CVS snapshot
	- Should fix the playlist refresh bug

* Mon Jun 13 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050613cvs-1mdk
- New CVS snapshot
	- The old skin (non-free skin) has been removed (if you somehow liked that thing
	  you can download it from bmp's website)

* Fri May 27 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050527cvs-1mdk
- Drop SOURCE99 (README.MDK - now generated in spec)
- New CVS snapshot
- Spec cleanups
- Drop COPYING from %%doc, it is in the common-licenses package
- Remove gnome-vfs from requires

* Sat Apr 16 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050416cvs-1mdk
- New CVS snapshot
- Updated patch1
- Drop patch3 (merged upstream)

* Mon Mar 7 2005 Eskild Hustvedt <eskild@mandrake.org> 0.9.7-6mdk
- Disable gnome-vfs support (broken)

* Mon Jan 24 2005 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-5mdk
- fix devel deps

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-4mdk
- patch 3: alsa fixes

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-3mdk 
- Rebuild with latest howl

* Wed Dec 15 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-2mdk
- drop broken patch 3

* Tue Dec 14 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- rediff patch 2
- new version

* Fri Nov 19 2004 Danny Tholen <obiwan@mailmij.org> 0.9.7-0.rc2.2mdk
- patch 3 fixes broken endian check

* Tue Aug 24 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.rc2.1mdk
- new version

* Mon Aug 23 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.rc1.1mdk
- increase epoch
- rediff patch 2
- new version

* Fri Jul 16 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040708.1mdk
- fix file list
- new snapshot

* Wed May 26 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040621.1mdk
- new cvs snapshot 20040621

* Wed May 26 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040604.1mdk
- updated to cvs snapshot 20040604
- fixed source url
- autoconf stuff
- rebuild with new gcc

* Wed May 26 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040528.1mdk
- updated to cvs snapshot 20040528

* Thu May 20 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040520.1mdk
- updated to cvs snapshot 20040520
- removed patch 3, integrated upstream
- xmms-skin patch: use xmms dirs last, so beep skins override xmms skins

* Mon May 10 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.4mdk
- Patch3: add General plugins preferences tab (will be merged in CVS soon)

* Mon May 10 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.3mdk
- scan home dir as well for xmms skins (modified patch1)

* Mon May 10 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.2mdk
- cp rcfile.h in include dir since it isn't automatically installed
- own include and data dirs
- add Epoch in Requires/Provides

* Sun May 05 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040504.1mdk
- new cvs snapshot

* Tue Apr 27 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040427.2mdk
- enable gnome-vfs support

* Tue Apr 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-0.20040427.1mdk
- new cvs snapshot
- rediff patch 2

* Fri Apr 16 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040410.2mdk
- fix buildrequires

* Sun Apr 11 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040410.1mdk
- new cvs snapshot
- removed old obsoletes (package beepmp was only in cooker)
- added AB patch from xmms
- added missing docs
- separate package for esound plugin (no separate packages for OSS and ALSA
  because OSS does not need any special stuff and ALSA is standard now)

* Mon Mar  1 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040220.2mdk
- fix buildrequires

* Wed Feb 23 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040220.1mdk
- new cvs snapshot
- fix requires for devel package

* Tue Feb 17 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040208.1mdk
- ship with freedesktop.org menu entry
- use the configure2_5x macro
- new cvs snapshot

* Fri Jan 30 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.6.2-0.20040128.2mdk
- fix invalid menu section
- compress patch

* Wed Jan 28 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040128.1mdk
- new cvs snapshot

* Mon Jan 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-0.pre5.1mdk
- new release
- rename as binary and tarball name
- rediff patch 1

* Fri Jan 23 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040121.3mdk
- adapted BuildRequires to require package instead of files
- own %{_libdir}/bmp/General
- new menu structure

* Thu Jan 22 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040121.2mdk
- patch1: also search for skins in XMMS' skin directory

* Wed Jan 21 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040121.1mdk
- new cvs snapshot
- let menu generate mime type stuff from menu entry, i.e. add mime types
  to menu entry and remove gnome mime type file
- generate small icons from big one using convert
- further cleanups

* Sun Jan 18 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 0.9.6.1-2mdk
- Add menu item
- Add gnome mime type
- Put plugins in main package

* Fri Jan  9 2004 Olivier Blin <blino@mandrake.org> 0.9.6.1-1mdk
- fix bad patch in Mandrake's libtool
- Patch0: fix g_build_filename bug (use NULL to finish arguments)
- initial release
